Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.component.ts	(revision 58275)
@@ -1,20 +1,15 @@
 import {Component, ElementRef, Input, ViewChild} from '@angular/core';
 import {ActivatedRoute, Router} from '@angular/router';
 import {Meta, Title} from '@angular/platform-browser';
-
 import {OrganizationService} from '../../services/organization.service';
 import {OrganizationInfo} from '../../utils/entities/organizationInfo';
 import {ReportsService} from '../../services/reports.service';
-import {FetchResearchResults} from '../../utils/fetchEntitiesClasses/fetchResearchResults.class';
-// import {FetchDatasets}                  from '../../utils/fetchEntitiesClasses/fetchDatasets.class';
 import {FetchProjects} from '../../utils/fetchEntitiesClasses/fetchProjects.class';
-import {FetchDataproviders} from '../../utils/fetchEntitiesClasses/fetchDataproviders.class';
 import {SearchResearchResultsService} from '../../services/searchResearchResults.service';
-// import {SearchDatasetsService}      from '../../services/searchDatasets.service';
 import {SearchDataprovidersService} from '../../services/searchDataproviders.service';
 import {SearchProjectsService} from '../../services/searchProjects.service';
 import {ErrorCodes} from '../../utils/properties/errorCodes';
-import {SearchingProjectsTabComponent} from '../landing-utils/searchingProjectsInTab.component';
+import {ProjectsInModalComponent} from '../landing-utils/projects-in-modal.component';
 import {RouterHelper} from '../../utils/routerHelper.class';
 
 import {ModalLoading} from '../../utils/modal/loading.component';
@@ -26,71 +21,76 @@
 import {HelperService} from "../../utils/helper/helper.service";
 import {Location} from "@angular/common";
 
+interface Total {
+  publications: number;
+  datasets: number;
+  software: number;
+  other: number;
+  results: number;
+  dataproviders: number;
+}
+
 @Component({
   selector: 'organization',
   templateUrl: 'organization.component.html',
 })
-
 export class OrganizationComponent {
   @Input() piwikSiteId = null;
   @Input() communityId = null;
-
+  
   public organizationInfo: OrganizationInfo;
   public organizationId: string;
-
+  
   // Message variables
   public warningMessage = "";
   public errorMessage = "";
   public showLoading: boolean = true;
-
+  
   // CSV variables
   public downloadURLAPI: string;
   public csvProjectParamsHead: string;
   public csvPublicationParamsHead: string;
   public csvParamsTail: string;
-  public csvAffiliatedPublications: string;
-
+  
   // Active tab variable for responsiveness
   public activeTab: string = "Publications";
-
+  
   // Variables for publications, research data, projects, dataproviders tabs
-  public fetchPublications: FetchResearchResults;
-  public linkToSearchPublications: string = "";
-  // public fetchDatasets: FetchDatasets;
-  // public linkToSearchDatasets: string = "";
+  public total: Total = {
+    publications: 0,
+    datasets: 0,
+    software: 0,
+    other: 0,
+    results: 0,
+    dataproviders: 0
+  };
   public fetchProjects: FetchProjects;
-  public fetchDataproviders: FetchDataproviders;
-  public linkToSearchDataproviders: string = "";
-  //public projectFunders:string[] = [];
-
   // Variables for projects query (query results only if projects tab is clicked)
-  public projectsClicked: boolean = false;
-  @ViewChild(SearchingProjectsTabComponent) searchingProjectsTabComponent: SearchingProjectsTabComponent;
-
+  @ViewChild(ProjectsInModalComponent) projectsInModalComponent: ProjectsInModalComponent;
+  
   @ViewChild(ModalLoading) loading: ModalLoading;
   // Alert box when CSV: Project Publications for a funder is requested
   @ViewChild('AlertModalApplyAll') alertApplyAll;
   // Alert box when something is wrong with CSV requests
   @ViewChild('AlertModalCsvError') alertCsvError;
-
+  
   public routerHelper: RouterHelper = new RouterHelper();
   public errorCodes: ErrorCodes = new ErrorCodes();
   public pageContents = null;
   public divContents = null;
-
-  //private projectsNum: number = 0;
-  //private fundersSet: Set<string>;
-  //private emptyFundersSet: boolean = true;
-
-  // Request results for publications, research data and content providers only the one time (first time tab is clicked)
-  private reloadPublications: boolean = true;
-  // private reloadDatasets: boolean = true;
-  private reloadDataproviders: boolean = true;
-
+  
   // Helper variables to specify funder in downloadPublicationsFile function
-  private funder: string;
+  public contentTypes: [string,string][] =[
+    ['results', 'all research outcomes'],
+    ['publications', 'publications'],
+    ['datasets', 'research data'],
+    ['software', 'software'],
+    ['other', 'other research products'],
+  ];
+  public funderContentType: string = '';
+  public funder: any = "";
   private funderId: string;
-  private funderCountPublications: number;
+  private funderCount: number;
   sub: any;
   infoSub: any;
   piwiksub: any;
@@ -100,12 +100,16 @@
   countPublSub: any;
   downloadProjectPublSub: any;
   properties: EnvProperties;
-
+  public indexUpdateDate: Date;
+  public showFeedback: boolean = false;
+  public feedbackFields: string [] = ['Name', 'Country', 'Other'];
+  
   @ViewChild('AlertModalDeletedByInference') alertModalDeletedByInference;
+  @ViewChild('projectsModal') projectsModal;
   public deleteByInferenceOpened: boolean = false;
-
+  
   //private ngUnsubscribe: Subject<void> = new Subject<void>();
-
+  
   constructor(private element: ElementRef,
               private _organizationService: OrganizationService,
               private _piwikService: PiwikService,
@@ -121,17 +125,16 @@
               private helper: HelperService,
               private seoService: SEOService,
               private _location: Location) {
-
-    this.fetchPublications = new FetchResearchResults(this._searchResearchResultsService);
-    // this.fetchDatasets = new FetchDatasets(this._searchDatasetsService);
     this.fetchProjects = new FetchProjects(this._searchProjectsService);
-    this.fetchDataproviders = new FetchDataproviders(this._searchDataprovidersService);
   }
-
+  
   ngOnInit() {
     this.route.data
       .subscribe((data: { envSpecific: EnvProperties }) => {
         this.properties = data.envSpecific;
+        if(this.properties.lastIndexUpdate) {
+          this.indexUpdateDate = new Date(this.properties.lastIndexUpdate);
+        }
         //this.getDivContents();
         this.getPageContents();
         this.updateUrl(data.envSpecific.baseLink + this._router.url);
@@ -140,43 +143,47 @@
       this.organizationInfo = null;
       this.updateTitle("Organization");
       this.updateDescription("");
-      this.projectsClicked = false;
-
+      
       this.organizationId = params['organizationId'];
-
+      
       if (this.organizationId) {
         this.getOrganizationInfo();
       } else {
         this.showLoading = false;
-        this._router.navigate(['/error'], {queryParams: {"page": this._location.path(true), "page_type": "organization"}});
+        this._router.navigate(['/error'], {
+          queryParams: {
+            "page": this._location.path(true),
+            "page_type": "organization"
+          }
+        });
         //this.warningMessage = "No valid organization id";
       }
-
+      
       HelperFunctions.scroll();
-
+      
       this.csvParamsTail = '" and relorganizationid exact "' + this.organizationId + '" ))';
-
+      
     });
-
+    
     this.downloadURLAPI = this.properties.csvAPIURL;
-    this.csvAffiliatedPublications = this.downloadURLAPI + "?format=csv&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relorganizationid exact \"" + this.organizationId + "\"))";
-    this.csvProjectParamsHead = 'format=csv&type=projects&fq=( (oaftype exact project)and (funder exact "';
+    //this.csvAffiliatedPublications = this.downloadURLAPI + "?format=csv&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relorganizationid exact \"" + this.organizationId + "\"))";
+    this.csvProjectParamsHead = 'format=csv&type=projects&fq=((funder exact "';
     //this.csvPublicationParamsHead = 'format=csv-special&type=publications&page=0&query=((((oaftype exact result) and (resulttypeid exact publication)) and (funderid exact ';
   }
-
+  
   private getPageContents() {
     this.helper.getPageHelpContents(this._router.url, this.properties, this.communityId).subscribe(contents => {
       this.pageContents = contents;
     })
   }
-
+  
   private getDivContents() {
     this.helper.getDivHelpContents(this._router.url, this.properties, this.communityId).subscribe(contents => {
       this.divContents = contents;
     })
   }
-
-
+  
+  
   ngOnDestroy() {
     if (this.sub) {
       this.sub.unsubscribe();
@@ -202,26 +209,62 @@
     if (this.downloadProjectPublSub) {
       this.downloadProjectPublSub.unsubscribe();
     }
-
+    
     /*
     this.ngUnsubscribe.next();
     this.ngUnsubscribe.complete();
     */
   }
-
+  
+  private getTotalResearchResults() {
+    this._searchResearchResultsService.numOfEntityResults('publication',
+      this.organizationInfo.objIdentifier, 'organization', this.properties).subscribe(total => {
+      this.total.publications = total;
+      this.total.results += total;
+    });
+    this._searchResearchResultsService.numOfEntityResults('dataset',
+      this.organizationInfo.objIdentifier, 'organization', this.properties).subscribe(total => {
+      this.total.datasets = total;
+      this.total.results += total;
+    });
+    this._searchResearchResultsService.numOfEntityResults('software',
+      this.organizationInfo.objIdentifier, 'organization', this.properties).subscribe(total => {
+      this.total.software = total;
+      this.total.results += total;
+    });
+    this._searchResearchResultsService.numOfEntityResults('other',
+      this.organizationInfo.objIdentifier, 'organization', this.properties).subscribe(total => {
+      this.total.other = total;
+      this.total.results += total;
+    });
+  }
+  
+  private getTotalDataproviders() {
+    this._searchDataprovidersService.numOfEntityDataproviders(
+      this.organizationInfo.objIdentifier,'organization', this.properties).subscribe(
+      total => {
+        this.total.dataproviders = total;
+      });
+  }
+  
   private getOrganizationInfo() {
-
+    
     this.warningMessage = '';
     this.errorMessage = ""
     this.showLoading = true;
-
+    
     this.organizationInfo = null;
-
+    
     this.infoSub = this._organizationService.getOrganizationInfo(this.organizationId, this.properties).subscribe(
       data => {
         if (data == null) {
           this.showLoading = false;
-          this._router.navigate(['/error'], {queryParams: {"page": this._location.path(true), "page_type": "organization"}});
+          this._router.navigate(['/error'], {
+            queryParams: {
+              "page": this._location.path(true),
+              "page_type": "organization"
+            }
+          });
           this.errorMessage = 'No organization found';
         } else {
           this.organizationInfo = data;
@@ -231,35 +274,24 @@
           if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
             this.piwiksub = this._piwikService.trackView(this.properties, this.organizationInfo.title.name, this.piwikSiteId).subscribe();
           }
+          console.log(this.organizationInfo);
           var refineFields: string [] = ["funder"];
-
-          //this.searchPublications();
-          this.fetchPublications.getNumForEntity("publication", "organization", this.organizationId, this.properties);
-          // this.fetchDatasets.getNumForEntity("organization", this.organizationId, this.properties);
+          this.getTotalResearchResults();
+          this.getTotalDataproviders();
           this.fetchProjects.getResultsForOrganizations(this.organizationId, "", 1, 0, refineFields, this.properties);
-
-          this.fetchDataproviders.getNumForEntity("organization", this.organizationId, this.properties);
-
           this.showLoading = false;
-
-          /*let projectsNum = 0;
-
-          if(this.organizationInfo.projects != undefined) {
-               this.fundersSet = new Set<string>();
-              this.organizationInfo.projects.forEach(function (value, key, map) {
-                  projectsNum += value.length;
-                  this.fundersSet.add(key);
-              }.bind(this));
-          }
-
-          this.projectsNum = projectsNum;*/
         }
       },
       err => {
         //console.log(err)
         this.handleError("Error getting organization for id: " + this.organizationId, err);
-        if(err.status == 404) {
-          this._router.navigate(['/error'], {queryParams: {"page": this._location.path(true), "page_type": "organization"}});
+        if (err.status == 404) {
+          this._router.navigate(['/error'], {
+            queryParams: {
+              "page": this._location.path(true),
+              "page_type": "organization"
+            }
+          });
         }
         this.seoService.createLinkForCanonicalURL(this.properties.baseLink + this.properties.searchLinkToOrganizations);
         //this.errorMessage = 'No organization found';
@@ -267,90 +299,20 @@
       }
     );
   }
-
-  /*
-      private handleClick(funder: string) {
-           if(this.emptyFundersSet) {
-               this.fundersSet.clear();
-               this.emptyFundersSet = false;
-           }
-
-           if(this.fundersSet.has(funder)) {
-               this.fundersSet.delete(funder);
-
-               if(this.fundersSet.size == 0) {
-                   this.organizationInfo.projects.forEach(function (value, key, map) {
-                       this.fundersSet.add(key);
-                   }.bind(this));
-                   this.emptyFundersSet = true;
-               }
-               console.info(funder+" funder deleted");
-           } else {
-               this.fundersSet.add(funder);
-               console.info(funder+" funder added");
-           }
-       }
-  */
-  //private getProjectsData(key: string): any {
-  //return this.projectsData;
-  //}
-
-  private searchPublications() {
-    this.fetchPublications.getResultsForEntity("publication", "organization", this.organizationId, 1, 10, this.properties);
-    this.linkToSearchPublications = this.properties.searchLinkToAdvancedPublications;
-    //if(this.fetchPublications.searchUtils.totalResults > 0) {
-    this.reloadPublications = false;
-    //this.activeTab = "Publications";
-    //} else {
-    //this.projectsClicked = true;
-    //}
-  }
-
-  // private searchDatasets() {
-  //   this.fetchDatasets.getResultsForEntity("organization", this.organizationId, 1, 10,this.properties);
-  //   this.linkToSearchPublications = this.properties.searchLinkToAdvancedDatasets;
-  //   this.reloadDatasets = false;
-  // }
-
-  private searchDataproviders() {
-    this.fetchDataproviders.getResultsForEntity("organization", this.organizationId, 1, 10, this.properties);
-    this.linkToSearchDataproviders = this.properties.searchLinkToAdvancedDataProviders;
-
-    //if(this.fetchDataproviders.searchUtils.totalResults > 0) {
-    this.reloadDataproviders = false;
-    //this.activeTab = "Content Providers";
-    //} else {
-
-    //}
-  }
-
-  public searchPublicationsInit() {
-    if (this.reloadPublications && this.fetchPublications.searchUtils.totalResults > 0) {
-      this.searchPublications();
-    }
-  }
-
-  // public searchDatasetsInit() {
-  //   if(this.reloadDatasets && this.fetchDatasets.searchUtils.totalResults > 0) {
-  //     this.searchDatasets();
-  //   }
-  // }
-
-  public searchDataprovidersInit() {
-    if (this.reloadDataproviders && this.fetchDataproviders.searchUtils.totalResults > 0) {
-      this.searchDataproviders();
-    }
-  }
-
+  
+  
+  /*public searchDataproviders(page: number = 1) {
+    this.fetchDataproviders.getResultsForEntity("organization", this.organizationId, page, 1, this.properties);
+  }*/
+  
   public downloadFile(url: string, filename: string) {
-
     this.openLoading();
     this.setMessageLoading("Downloading CSV file");
-
+    
     this.downloadFileSub = this._reportsService.downloadCSVFile(url).subscribe(
       data => {
         this.closeLoading();
-
+        
         var url = window.URL.createObjectURL(data);
         var a = window.document.createElement('a');
         window.document.body.appendChild(a);
@@ -360,7 +322,7 @@
         a.click();
         window.URL.revokeObjectURL(url);
         a.remove(); // remove the element
-
+        
         //window.open(window.URL.createObjectURL(data));
         if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
           this.downloadFilePiwikSub = this._piwikService.trackDownload(this.properties, url, this.piwikSiteId).subscribe();
@@ -369,7 +331,7 @@
       err => {
         //console.log("Error downloading the file.");
         this.handleError("Error downloading file: " + filename + ".csv", err);
-
+        
         this.closeLoading();
         this.confirmOpenCsvError();
       }/*,
@@ -376,26 +338,26 @@
            () => console.log('Completed file download.')*/
     );
   }
-
-  private downloadPublicationsFile(funder: string, funderId: string, count: number) {
-
+  
+  private downloadFileByFunder() {
+    
     this.openLoading();
     this.setMessageLoading("Downloading CSV file");
-
+    
     let response: string[] = [];
     let totalResponse: string = "";
     let projects = [];
-    let counter: number = count;
+    let counter: number = this.funderCount;
     let title: boolean = false;
     let title_index: number = 0;
-
-    let filename: string = 'funder-project-publications-report';
-
-    this.countProjectsSub = this._searchProjectsService.getProjectsForOrganizations(this.organizationId, ' and (funder exact "' + funderId + '" ) ', 1, count, [], this.properties).subscribe(
+    
+    let filename: string = 'funder-project-' + this.funderContentType + '-report';
+    
+    this.countProjectsSub = this._searchProjectsService.getProjectsForOrganizations(this.organizationId, ' and (funder exact "' + this.encodeURI(this.funderId) + '" ) ', 1, this.funderCount, [], this.properties).subscribe(
       data => {
         projects = data[1];
         for (let index = 0; index < projects.length; index++) {
-          this.countPublSub = this._searchResearchResultsService.numOfEntityResults("publication", projects[index].id, "project", this.properties).subscribe(
+          this.countPublSub = this._searchResearchResultsService.numOfEntityResults(this.funderContentType, projects[index].id, "project", this.properties).subscribe(
             data => {
               //if(data == 0 && title) {   // if no publications for this project
               if (data == 0 && (counter > 1 || title)) {   // if no publications for this project
@@ -402,7 +364,7 @@
                 counter--;
                 response[index] = "";
                 //console.info("index: "+index, "counter: "+counter, "id:"+projects[index].id, response[index]);
-
+                
                 if (counter == 0) {
                   //for(let i=count-1; i>=0; i--) {
                   for (let i = 0; i < projects.length; i++) {
@@ -415,7 +377,7 @@
                     }
                   }
                   this.closeLoading();
-
+                  
                   var csvurl = window.URL.createObjectURL(new Blob([totalResponse], {type: 'text/csv'}));
                   var a = window.document.createElement('a');
                   window.document.body.appendChild(a);
@@ -431,18 +393,18 @@
                 if (!title) {
                   title_index = index;
                   //console.info(title_index);
-                  url = this.downloadURLAPI + "?format=csv-special&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relprojectid exact \"" + projects[index].id + "\"))"
+                  url = this.downloadURLAPI + '?format=csv-special&' + this.getTypeParam(this.funderContentType)+ '&fq=((relprojectid exact "' + projects[index].id + '"))';
                 } else {
-                  url = this.downloadURLAPI + "?format=csv-special-notitle&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relprojectid exact \"" + projects[index].id + "\"))"
+                  url = this.downloadURLAPI + '?format=csv-special-notitle&' + this.getTypeParam(this.funderContentType)+ '&fq=((relprojectid exact "' + projects[index].id + '"))';
                 }
                 title = true;
-
+                
                 this.downloadProjectPublSub = this._reportsService.getCSVResponse(url).subscribe(
                   data => {
                     counter--;
                     response[index] = data;
                     //console.info("index: "+index, "counter: "+counter, "id:"+projects[index].id, response[index]);
-
+                    
                     if (counter == 0) {
                       //for(let i=count-1; i>=0; i--) {
                       for (let i = 0; i < projects.length; i++) {
@@ -455,7 +417,7 @@
                         }
                       }
                       this.closeLoading();
-
+                      
                       var csvurl = window.URL.createObjectURL(new Blob([totalResponse], {type: 'text/csv'}));
                       var a = window.document.createElement('a');
                       window.document.body.appendChild(a);
@@ -469,7 +431,7 @@
                   },
                   err => {
                     this.handleError("Error downloading file: " + filename, err);
-
+                    
                     this.closeLoading();
                     this.confirmOpenCsvError();
                   }/*,
@@ -484,18 +446,18 @@
       },
       err => {
         this.handleError("Error getting projects for organization with id: " + this.organizationId, err);
-
+        
         this.closeLoading();
         this.confirmOpenCsvError();
       }
     );
   }
-
+  
   private updateDescription(description: string) {
     this._meta.updateTag({content: description.substring(0, 160)}, "name='description'");
     this._meta.updateTag({content: description.substring(0, 160)}, "property='og:description'");
   }
-
+  
   private updateTitle(title: string) {
     var _prefix = "";
     // if(!this.communityId) {
@@ -505,30 +467,30 @@
     this._title.setTitle(title);
     this._meta.updateTag({content: title}, "property='og:title'");
   }
-
+  
   private updateUrl(url: string) {
     this._meta.updateTag({content: url}, "property='og:url'");
   }
-
+  
   private openLoading() {
     if (this.loading) {
       this.loading.open();
     }
   }
-
+  
   private closeLoading() {
     if (this.loading) {
       this.loading.close();
     }
   }
-
+  
   private setMessageLoading(message: string) {
     if (this.loading) {
       this.loading.message = message;
     }
   }
-
-  public confirmOpenApplyAll(funder: string, funderId: string, funderCountPublications: number) {
+  
+  public confirmOpenApplyAll(contentType: string) {
     this.alertApplyAll.cancelButton = true;
     this.alertApplyAll.okButton = true;
     this.alertApplyAll.alertTitle = "CSV FILE";
@@ -536,16 +498,15 @@
     this.alertApplyAll.okButtonText = "Yes";
     this.alertApplyAll.cancelButtonText = "No";
     this.alertApplyAll.open();
-
-    this.funder = funder;
-    this.funderId = funderId;
-    this.funderCountPublications = funderCountPublications;
+    this.funderId = this.funder.id;
+    this.funderCount = this.funder.number;
+    this.funderContentType = contentType;
   }
-
-  public confirmCloseApplyAll(data) {
-    this.downloadPublicationsFile(this.funder, this.funderId, this.funderCountPublications);
+  
+  public confirmCloseApplyAll() {
+    this.downloadFileByFunder();
   }
-
+  
   public confirmOpenCsvError() {
     this.alertCsvError.cancelButton = false;
     this.alertCsvError.okButton = true;
@@ -554,20 +515,43 @@
     this.alertCsvError.okButtonText = "OK";
     this.alertCsvError.open();
   }
-
+  
   encodeURI(input: string): string {
     return StringUtils.URIEncode(input);
   }
-
+  
   private handleError(message: string, error) {
     console.error("Organizaton Landing Page: " + message, error);
   }
-
+  
   openDeletedByInference() {
     this.deleteByInferenceOpened = true;
     this.alertModalDeletedByInference.cancelButton = false;
     this.alertModalDeletedByInference.okButton = false;
-    this.alertModalDeletedByInference.alertTitle = "Other versions";
+    this.alertModalDeletedByInference.alertTitle = "Other versions of";
     this.alertModalDeletedByInference.open();
   }
+  
+  openProjectsModal() {
+    this.projectsInModalComponent.pageChange({value: 1});
+    this.projectsModal.cancelButton = false;
+    this.projectsModal.okButton = false;
+    this.projectsModal.alertTitle = "Projects of";
+    this.projectsModal.open();
+  }
+  
+  public getTypeParam(type: string): string {
+    if(type == 'results') {
+      type = 'publications&type=datasets&type=software&type=other';
+    }
+    return 'type='+type;
+  }
+  
+  getCSVAffiliated(contentType: string): string {
+    return this.downloadURLAPI + '?format=csv&' + this.getTypeParam(contentType) + '&fq=(relorganizationid exact "' + this.organizationId + '")';
+  }
+  
+  getFunderProjects(): string {
+    return this.downloadURLAPI + '?'+this.csvProjectParamsHead+encodeURI(this.funder.id)+this.csvParamsTail;
+  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.module.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.module.ts	(revision 58275)
@@ -16,7 +16,7 @@
 import {SearchResearchResultsServiceModule} from '../../services/searchResearchResultsService.module';
 import {ProjectsServiceModule} from '../../services/projectsService.module';
 
-import {SearchingProjectsTabModule} from '../landing-utils/searchingProjectsInTab.module';
+import {ProjectsInModalModule} from '../landing-utils/projects-in-modal.module';
 import {FreeGuard} from '../../login/freeGuard.guard';
 import {IsRouteEnabled} from '../../error/isRouteEnabled.guard';
 import {Schema2jsonldModule} from '../../sharedComponents/schema2jsonld/schema2jsonld.module';
@@ -23,6 +23,9 @@
 import {SEOServiceModule} from '../../sharedComponents/SEO/SEOService.module';
 import {HelperModule} from "../../utils/helper/helper.module";
 import {OrganizationsDeletedByInferenceModule} from "./deletedByInference/deletedByInference.module";
+import {LandingHeaderModule} from "../landing-utils/landing-header/landing-header.module";
+import {FeedbackModule} from "../feedback/feedback.module";
+import {MatSelectModule} from "@angular/material/select";
 
 
 @NgModule({
@@ -34,12 +37,12 @@
     DataProvidersServiceModule,
     ReportsServiceModule,
     OrganizationServiceModule,
-    SearchingProjectsTabModule,
+    ProjectsInModalModule,
     OrganizationServiceModule,
     SearchResearchResultsServiceModule,
     ProjectsServiceModule,
     Schema2jsonldModule, SEOServiceModule, HelperModule,
-    OrganizationsDeletedByInferenceModule
+    OrganizationsDeletedByInferenceModule, LandingHeaderModule, FeedbackModule, MatSelectModule
   ],
   declarations: [
     OrganizationComponent,
